# ESTKme 2025 智能卡產品固件升級注意事項

產品固件升級是為了解決產品在使用過程中出現的問題，或者為了增加新的功能，提高產品的性能和穩定性。

升級產品固件您需要將卡片插入到 智能卡閱讀器 中，然後將 智能卡閱讀器 連接至 電腦 上。

例如使用：ESTKme-RED (https://www.estk.me/product/estkme-red/)

## 適用於的產品

1. ESTKme-MEG (2025)
2. ESTKme-ESS (2025)
3. ESTKme-DRO (2025)
4. ESTKme-AIR (2025)

## 產品固件升級的方法

您可以通過以下方法將產品的固件升級到最新版本：

若您的電腦系統為 Windows，那麼您應當運行 `fwupgrade.bat`

若您的電腦系統為 Linux，那麼您應當運行 `fwupgrade.sh`

若您的電腦系統為 macOS，那麼您應當運行 `fwupgrade.command`

## 升級失敗

1. 若使用 ESTKme-RED 升級失敗，請注意您的 ESTKme-RED 智能卡閱讀器固件是否高於 1.1.2
2. 若您正在使用 Windows，請不要使用管理員權限運行升級工具
3. 請確保您處在正確的工作目錄下，升級工具會自動檢測固件文件

## 致 macOS 用戶

由於 macOS 的安全機制，您請在運行前閱讀 <https://support.apple.com/zh-hk/guide/mac-help/mh40616/mac> 並按指示操作。
